export declare class SceneModel {
    id: string;
    options: Options;
    groundplan: Groundplan;
    models: Model[];
    focusedModelId?: string;
    constructor(id: string, options: Options, groundplan: Groundplan, models: Model[], focusedModelId?: string);
}
export declare class Options {
    accentColorHex: string;
    demoDelayMilliseconds: number;
    disableUserInput: boolean;
    disableMenu: boolean;
    constructor(accentColorHex: string, demoDelayMilliseconds: number, disableUserInput: boolean, disableMenu: boolean);
}
export declare class Groundplan {
    imageBase64: string | undefined;
    width: number;
    length: number;
    constructor(imageBase64: string | undefined, width: number, length: number);
}
export declare class Model {
    id: string;
    uniqueProductName: string;
    name: string;
    description: string;
    manufacturer: string;
    productGroup: string;
    productLine: string;
    tooltip: string;
    state: string;
    position: Position;
    rotationRadiant: number;
    size: Size;
    isSelected: boolean;
    constructor(id: string, uniqueProductName: string, name: string, description: string, manufacturer: string, productGroup: string, productLine: string, tooltip: string, state: string, position: Position, rotationRadiant: number, size: Size, isSelected: boolean);
}
export declare class Position {
    x: number;
    y: number;
    z: number;
    constructor(x: number, y: number, z: number);
}
export declare class Size {
    width: number;
    height: number;
    length: number;
    constructor(width: number, height: number, length: number);
}
export declare class AvailableModel {
    fileName: string;
    previewImage: string;
    defaultData: Model;
    constructor(fileName: string, previewImage: string, defaultData: Model);
}
export declare class RackModel extends Model {
    id: string;
    uniqueProductName: string;
    name: string;
    description: string;
    manufacturer: string;
    productGroup: string;
    productLine: string;
    tooltip: string;
    state: string;
    position: Position;
    rotationRadiant: number;
    size: Size;
    isSelected: boolean;
    rows: number;
    columns: number;
    constructor(id: string, uniqueProductName: string, name: string, description: string, manufacturer: string, productGroup: string, productLine: string, tooltip: string, state: string, position: Position, rotationRadiant: number, size: Size, isSelected: boolean, rows: number, columns: number);
}
